import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;

import quadbase.ChartAPI.ColInfo;
import quadbase.ChartAPI.QbChart;

public class SurfaceChart extends Applet {
	static final long serialVersionUID = 1;

	public static void main(java.lang.String[] args) {

		try {

			SurfaceChart doChart = new SurfaceChart();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", doChart.doDataFromArguments(null));
			frame.setSize(500, 500);
			frame.setVisible(true);

		} catch (Exception ex) {

			ex.printStackTrace();

		}

	}

	@Override
	public void init() {

		setLayout(new BorderLayout());
		add("Center", doDataFromArguments(this));
	}

	Component doDataFromArguments(Applet applet) {

		//		Do not connect to EspressManager
		QbChart.setEspressManagerUsed(false);

		int map[] = { 0, 2, 1 };
		ColInfo colInfo = new ColInfo(-1, map);

		String inputFileName = "surface.dat";

		QbChart chart = null;

		try {

			chart = new QbChart(applet, // Applet
					QbChart.VIEW3D, // Three-Dimensional
					QbChart.SURFACE, // Surface Chart
					QbChart.DATAFILE, // Type of text file
					inputFileName, // Data
					false, // Do not transpose data
					colInfo, // Column information
					null); // No specified template

		} catch (Exception ex)
		{
			ex.printStackTrace();
		}

		return chart;

	}

}